关闭

AcDbTable

385人阅读 评论(0) 收藏 举报
分类:
AcDbTable *pTab = new AcDbTable;
AcGePoint3d pInsert = AcGePoint3d(0, 0, 0);
AcDbDictionary *pDict = NULL;
//格式设置
AcDbObjectId idTblStyle;
acdbHostApplicationServices()->workingDatabase()->getTableStyleDictionary(pDict, AcDb::kForRead);
pDict->getAt(_T("Standard"), idTblStyle);
pDict->close();
pTab->setTableStyle(idTblStyle);
AcDbTextStyleTable* pTextStyle = NULL;
acdbHostApplicationServices()->workingDatabase()->getTextStyleTable(pTextStyle, AcDb::kForRead);
AcDbObjectId textID;
pTextStyle->getAt(_T("Standard"), textID);
pTextStyle->close();
if (!textID.isNull())
{
pTab->setTextStyle(textID);
}
pTab->setPosition(pInsert);
pTab->setNumRows(6);
pTab->setNumColumns(6);
pTab->generateLayout();
pTab->suppressHeaderRow(true);
pTab->setRowHeight(0, 1000);
for (int i = 1; i < 6; i++)
{
pTab->setRowHeight(i, 700);
}
pTab->setTextHeight(450);
pTab->setColumnWidth(0, 1300);
pTab->setColumnWidth(1, 2700);
pTab->setColumnWidth(2, 1800);
pTab->setColumnWidth(3, 1800);
pTab->setColumnWidth(4, 1800);
pTab->setColumnWidth(5, 1800);
pTab->mergeCells(0, 0, 0, 1);
pTab->setTextString(0, 0, _T("位置"));
pTab->setTextString(0, 2, _T("单件重(kg)"));
pTab->setTextString(0, 3, _T("数量(件)"));
pTab->setTextString(0, 4, _T("小计(kg)"));
pTab->setTextString(0, 5, _T("总重(kg)"));
AcGePoint3d pTextInsert = AcGePoint3d(pInsert.x + 4000, pInsert.y + 650, 0);
AcDbText *pText = new AcDbText(pTextInsert, _T("法兰重量表"));
pText->setHeight(750);
PostToModelSpace(pTab);
PostToModelSpace(pText);


注意:若上述代码的结果若为

记得检查 格式->表格样式  并点击修改,查看是否取消创建行/列时合并单元

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:72032次
    • 积分:1452
    • 等级:
    • 排名:千里之外
    • 原创:62篇
    • 转载:92篇
    • 译文:0篇
    • 评论:4条
    最新评论